> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balances by User

> Retrieves the balances of a single user, per asset.

#### Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | `Bearer <access_token>` obtained from **POST /api/v1/client/token**. |
| user_id | Path | Yes | Identifier of the user, from **GET /admin/users**. |

#### Response

| Field | Description |
| --- | --- |
| balance | Current balance. |
| symbol | Asset the balance refers to. |



## OpenAPI

````yaml /stack/openapi.json get /api/v1/admin/operation/{user_id}/balance
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/operation/{user_id}/balance:
    get:
      tags:
        - Custody
      summary: Get Balances by User
      description: >-
        Retrieves the balances of a single user, per asset.


        #### Request


        | Field | Type | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | `Bearer <access_token>` obtained from
        **POST /api/v1/client/token**. |

        | user_id | Path | Yes | Identifier of the user, from **GET
        /admin/users**. |


        #### Response


        | Field | Description |

        | --- | --- |

        | balance | Current balance. |

        | symbol | Asset the balance refers to. |
      operationId: get-balances-by-user
      parameters:
        - name: user_id
          in: path
          required: true
          description: ''
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        user_id:
                          type: string
                        symbol:
                          type: string
                        network:
                          type: string
                        visible_balance:
                          type: string
                        total_operations:
                          type: integer
                        last_operation_date:
                          type: string
                  total:
                    type: integer
                  page:
                    type: integer
                  page_size:
                    type: integer
                  order_by: {}
                  order_dir:
                    type: string
              examples:
                get-balance-by-user-id:
                  summary: Get balance by user_id
                  value:
                    items:
                      - user_id: 67960e40-0b5a-465d-8d78-610d7eff2785
                        symbol: COPM
                        network: POLYGON
                        visible_balance: '292.09000000'
                        total_operations: 6
                        last_operation_date: '2026-07-03T23:04:44.356476'
                    total: 1
                    page: 1
                    page_size: 10
                    order_by: null
                    order_dir: asc
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token from POST /api/v1/client/token.

````